#ifndef ANALYZER_H
#define ANALYZER_H

#include <QDialog>
#include <QTableWidgetItem>

#include "csong.h"

namespace Ui {
class analyzer;
}

class analyzer : public QDialog
{
    Q_OBJECT

public:
    explicit analyzer(QWidget *parent = nullptr);
    ~analyzer();

private slots:
    void on_pushButton_clicked();

    void on_pushButton_calculate_clicked();



    void on_doubleSpinBox_preferredLoudness_valueChanged(double arg1);

private:
    Ui::analyzer *ui;
    csong * songList;
    unsigned int countSongs;
    bool firstAnalysisDone;
};

#endif // ANALYZER_H
